/*  zweic -- a compiler for Zwei
 *
 *  Stephane Micheloud & LAMP
 *
 *  $Id: ParserTest.java 2146 2005-11-13 17:39:11 +0100 (Sun, 13 Nov 2005) michelou $
 */

package zweic;

import java.io.*;

/**
 * A small parser test class; it reads in a file and prints out
 * every/the first syntax error that is found. Programs which
 * do not yield error messages are supposed to be syntactically
 * correct.
 *
 * usage: java zweic.ParserTest <file.zwei>
 */
public class ParserTest {
    public static void main(String[] args) {
        if (args.length == 0) {
            System.err.println("usage: java zweic.ParserTest <file.zwei>");
            System.exit(1);
        }
        try {
            InputStreamReader in = new FileReader(args[0]);
            new Parser(in).parse();
            in.close();
            if (Report.errors > 0)
                System.err.println(Report.errors + " errors found." );
            System.exit((Report.errors > 0) ? 1 : 0);
        }
        catch (IOException e) {
            Report.fail(e.getMessage());
        }
    }
}
